/*
    verticalboard
    Copyright (C) 2020  Taco Steemers  tacosteemers.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
*/

body {
    font-family: Arial, Helvetica, sans-serif;
    overflow: auto;
    width: 100%;
    min-height: 800px;
    min-width: 800px;
}

section {
    float: left;
    width: calc(95vw/6);
    margin-left: calc(1vw/12);
    margin-right: calc(1vw/12);
}

article {
    border-right: 1px white dotted;
    border-bottom: 1px white dotted;
}

textarea {
    margin-left: 1%;
    margin-right: 1%;
    width: 97%;
    min-height: 5em;
    resize: vertical;
    overflow: auto;
}

header {
    text-align: center;
}
header button {
    vertical-align: text-bottom;
    margin-left: 1em;
}

h1 {
    margin: 0;
}

footer {
    position: absolute;
    bottom: 0em;
    left: 1em;
    max-width: 75vw;
    z-index: 2;
    background: white;
    border: 1px solid black;
}

.droptarget {
    min-height: 75vh;
    min-width: 100px;
    height: auto;
}

#error {
    position: absolute;
    top: 50%;
    width: 100vw;
    text-align: center;
    color: red;
}

#space {
    display: block;
    position: absolute;
    bottom: 0;
    right: 0;
}

#trashcan {
    position: absolute;
    right: 1em;
    bottom: 2em;
    min-height: 1em;
    min-width: 200px;
    height: auto;
    width: auto;
    max-width: 25vw;
    padding-bottom: 3em;
}
#trashcandropzone {
    position: absolute;
    bottom: 0;
    right: 0;
    padding-left: 3em;
    padding-top: 3em;
}
#trashcanmeta {
    position: absolute;
    bottom: 0;
    right: 0;
}
#trashcanmeta * {
    float: left;
}
#trashcan article {
    float: right;
    max-width: 100px;
}
#trashcan .copyButton {
    display: none;
}
.trashcanminimized {
    height: 4em !important;
    width: 100px !important;
}
.trashcanmaximized {
    width: 98vw !important;
    max-width: 98vw !important;
    height: auto;
}

#notmobilefriendly {
    display: none;
}

@media only screen and (max-height: 800px) {
    #notmobilefriendly {
        display: block;
    }
}